<!DOCTYPE html>
<html lang="en" layout:decorate="~{layouts/layoutcurrentpatient}"
      xmlns:layout="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css"
          integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">

    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
            integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
            integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"
            integrity="sha384-+YQ4JLhjyBLPDQt//I+STsc9iw4uQqACwlvpslubQzn4u2UU2UFM80nGisd026JF" crossorigin="anonymous"></script>

    <title th:text="#{template.new.user.title}">Add new user</title>
</head>
<body>
<div class="container">
    <br>
    <p><h1 class="text-center">Welcome, admin!</h1></p>
    <br>
    <p><h3>User creation</h3></p>

    <form action="#" th:action="@{/create-user}" th:object="${userCommand}" method="post">
        <div th:if="${#fields.hasErrors('*')}" class="alert alert-danger">
            <p th:text="#{template.errors.message}">Please correct the errors below</p>
        </div>

        <div class="form-row">
            <div class="col-md-6">
                <label for="userName">Username</label>
                <input id="userName" type="text" class="form-control" th:classappend="${#fields.hasErrors('userName')} ? 'is-invalid' :''" th:field="*{userName}"/>
                <div class="invalid-feedback" th:if="${#fields.hasErrors('userName')}">
                    <ul>
                        <li th:each="err : ${#fields.errors('userName')}" th:text="${err}">err</li>
                    </ul>
                </div>
            </div>
            <div class="col-md-6">
                <label for="password">Password</label>
                <input disabled id="password" type="text" class="form-control" placeholder="automatically generated">
            </div>
        </div>

        <div class="form-row">
            <div class="col-md-6"><br>
                <label for="firstName">First name</label>
                <input id="firstName" type="text" class="form-control" th:classappend="${#fields.hasErrors('firstName')} ? 'is-invalid' :''" th:field="*{firstName}"/>
                <div class="invalid-feedback" th:if="${#fields.hasErrors('firstName')}">
                    <ul>
                        <li th:each="err : ${#fields.errors('firstName')}" th:text="${err}">err</li>
                    </ul>
                </div>
            </div>
            <div class="col-md-6"><br>
                <label for="lastName">Last name</label>
                <input id="lastName" type="text" class="form-control" th:classappend="${#fields.hasErrors('lastName')} ? 'is-invalid' :''" th:field="*{lastName}"/>
                <div class="invalid-feedback" th:if="${#fields.hasErrors('lastName')}">
                    <ul>
                        <li th:each="err : ${#fields.errors('lastName')}" th:text="${err}">err</li>
                    </ul>
                </div>
            </div>
        </div>

        <div class="form-row">
            <div class="col-md-6"><br>
                <label for="organisation">Organisation</label>
                <input id="organisation" type="text" class="form-control" th:classappend="${#fields.hasErrors('organisation')} ? 'is-invalid' :''" th:field="*{organisation}"/>
                <div class="invalid-feedback" th:if="${#fields.hasErrors('organisation')}">
                    <ul>
                        <li th:each="err : ${#fields.errors('organisation')}" th:text="${err}">err</li>
                    </ul>
                </div>
            </div>
            <div class="col-md-6"><br>
                <label for="jobTitle">Job Title</label>
                <input id="jobTitle" type="text" class="form-control" th:classappend="${#fields.hasErrors('jobTitle')} ? 'is-invalid' :''" th:field="*{jobTitle}"/>
                <div class="invalid-feedback" th:if="${#fields.hasErrors('jobTitle')}">
                    <ul>
                        <li th:each="err : ${#fields.errors('jobTitle')}" th:text="${err}">err</li>
                    </ul>
                </div>
            </div>
        </div>

        <div class="form-row">
            <div class="col-md-6"><br>
                <label for="userType">User Type</label><br>
                <select class="form-control" id="userType" th:field="*{userType}">
                    <option input type="text" class="form-control" th:classappend="${#fields.hasErrors('userType')} ? 'is-invalid' :''" value="USER">USER</option>
                    <option input type="text" class="form-control" th:classappend="${#fields.hasErrors('userType')} ? 'is-invalid' :''" value="CREATOR">CREATOR</option>
                </select>
                <div class="invalid-feedback" th:if="${#fields.hasErrors('userType')}">
                    <ul>
                        <li th:each="err : ${#fields.errors('userType')}" th:text="${err}">err</li>
                    </ul>
                </div>
            </div>
            <div class="col-md-6"><br>
                <label for="userState">User State</label>
                <input disabled id="userState" type="text" class="form-control" placeholder="NEW">
            </div>
        </div>
        <br>
        <div class="text-right"><br>
            <button type="submit" class="btn btn-primary" th:text="#{template.new.user.creation}">Save</button>
        </div>
    </form>
</div>
</body>
</html>